package display;
import utility.Two;

/*	Copyright 2021 Ian Stuart

	This file is part of Three Industry ABCE Model.

Three Industry ABCE Model is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Three Industry ABCE Model is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Three Industry ABCE Model.  If not, see <https://www.gnu.org/licenses/>.
*/

public class OverlappingChartArguments {
	private final ChartKey chartKey;
	private final Two<Number, Number>[][][] dataToGraph;
	private final EChart type;
	
	public OverlappingChartArguments(ChartKey chartKey, Two<Number, Number>[][][] dataToGraph, EChart type) {
		this.chartKey = chartKey;
		this.dataToGraph = dataToGraph;
		this.type = type;
	}

	public ChartKey getChartKey() { return this.chartKey; }
	public Two<Number, Number>[][][] getDataToGraph() {return this.dataToGraph;}
	public EChart getType() { return this.type;}
}
